Status of file system free space. If multiple file systems, the worst state is used.
Sources for this description
Hirschmann MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.248.51.10.4.1
Status of file system free space. If multiple file systems, the worst state is used.
Identification
{1 3 6 1 4 1 248 51 10 4 1}
| Value | Name |
|---|---|
| 1 | free |
| 2 | tight |
| 3 | full |
At least one MIB declaration places this object in a scalar group. A scalar instance uses the suffix .0.
snmpget [connection options] DEVICE .1.3.6.1.4.1.248.51.10.4.1.0
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
hmSecTResDiscFull OBJECT-TYPE
SYNTAX INTEGER
{
free(1),
tight(2),
full(3)
}
ACCESS read-only
STATUS mandatory
DESCRIPTION
"Status of file system free space. If multiple file systems, the worst state is used."
::= { hmSecTrapRessources 1 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Status of file system free space. If multiple file systems, the worst state is used.
Hirschmann MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: hmSecTResDiscFull
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"hmSecTResDiscFull",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"free",
"(",
"1",
")",
",",
"tight",
"(",
"2",
")",
",",
"full",
"(",
"3",
")",
"}",
"ACCESS",
"read-only",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"Status of file system free space. If multiple file systems, the worst state is used.\"",
"::=",
"{",
"hmSecTrapRessources",
"1",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"free",
1
],
[
"tight",
2
],
[
"full",
3
]
]
]
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"Status of file system free space. If multiple file systems, the worst state is used."
],
null,
null,
null,
null
]
}Vendor MIB copy from the Observium Community archive. Hirschmann support.
Module: HmSecurityGateway-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'SNMPv2-TC': ['RowStatus', 'TruthValue', 'MacAddress'], 'RFC1155-SMI': ['enterprises'], 'RFC1213-MIB': ['DisplayString']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.248.51.10.4.2 | hmSecTResCpuLoadHigh | 0 | 0 | |
| 1.3.6.1.4.1.248.51.10.4.3 | hmSecTResMemoryFull | 0 | 0 | |
| 1.3.6.1.4.1.248.51.10.4.4 | hmSecTResColdstart | 0 | 0 | |
| 1.3.6.1.4.1.248.51.10.4.6 | hmSecTResAV | 5 | 5 | |
| 1.3.6.1.4.1.248.51.10.4.7 | hmSecTResPlatformSpecific | 2 | 31 | |
| 1.3.6.1.4.1.248.51.10.4.8 | hmSecTResRedundancy | 2 | 2 |